FROM ubuntu:22.04
LABEL MAINTAINER="Scenic team <scenic-dev@sat.qc.ca>"
ENV DEBIAN_FRONTEND noninteractive

ARG SHMDATA_TAG="1.3.66"
ARG NDI2SHMDATA_TAG="v0.6.0"
ARG SWITCHER_TAG="develop"

COPY docker/scenic-core-build-deps/deps-shmdata.sh /deps-shmdata.sh
COPY docker/scenic-core-build-deps/deps-ndi2shmdata.sh /deps-ndi2shmdata.sh
COPY docker/scenic-core-build-deps/deps-switcher.sh /deps-switcher.sh
COPY docker/scenic-core-build-deps/deps-rswebrtc.sh /deps-rswebrtc.sh

RUN apt-get update -y \
    && /deps-shmdata.sh \
    && /deps-ndi2shmdata.sh \
    && /deps-switcher.sh \
    && /deps-rswebrtc.sh \
    # Clean apt cache
    && apt-get clean \
    && apt-get autoclean \
    && apt-get autoremove -y \
    && rm -rf /var/lib/{apt,dpkg,cache,log}/
